# Uberspace Account Administration Panel (UAAP)

**UAAP** is a PHP and Bash based webpanel to administrate an Uberspace.de user. Uberspace is a popular German webhosting provider which focusses on fair prices, privacy and Free Software.

## Features

With UAAP, you or your clients are able to execute commands on an Uberspace account very easily. For example:

* Show a data sheet (works best when installed by uberspace-setup)
* Show disk quotas
* Show size of email accounts
* Create new email or alias accounts
* Show detail infos for email accounts
* Delete email accounts
* Automatic tracking of changed email passwords in the data sheet (when installed with uberspace-setup)
* Install (and uninstall) WordPress automatically

The design and workflow is designed to be as simple as possible. However, UAAP offers multiple languages. Currently it supports English and German but additional languages can be added easily.

## Installation

### Method uberspace-setup (recommended)

It's recommended to install UAAP automatically by using another script of mine, [uberspace-setup](http://src.mehl.mx/uberspace-setup.git), which sets up an Uberspace account quite easily. This process also creates the data sheet which can then be viewed at on UAAP. Using this method also enables UAAP to track email password changes automatically!

### Manual method (not recommended, needs more work)

Download the git repository by using
`git clone http://src.mehl.mx/git/uberspace-webadmin.git`

I assume it's best to place these files in a subdomain. I used `panel.example.com` for that.

Now open the files `config.cfg.sample`, `.htaccess.sample`, and `.htpasswd.sample` and change all necessary settings. Be sure to remove the `.sample` in the file names of these files afterwards.

### Other steps

On Uberspace 7, you'll need to create a cronjob to provide quota information because of SELinux limitations. To do so, edit your crontab with `crontab -e` and insert:

```
* * * * * quota -gsl > /var/www/virtual/MYUSERNAME/panel.example.com/quota
```
