#!/usr/bin/env python

########################################################################
#  Copyright (C) 2016 Max Mehl <mail [at] mehl [dot] mx>
########################################################################
#  
#  This program is free software: you can redistribute it and/or modify 
#  it under the terms of the GNU Affero General Public License as 
#  published by the Free Software Foundation, either version 3 of the 
#  License, or (at your option) any later version.
#  
#  This program is distributed in the hope that it will be useful, 
#  but WITHOUT ANY WARRANTY; without even the implied warranty of 
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
#  GNU Affero General Public License for more details.
#  
#  You should have received a copy of the GNU Affero General Public 
#  License along with this program.  If not, see 
#  <http://www.gnu.org/licenses/>.
#  
########################################################################
#  
#  This script is responsible to change a password using vpasswd. It is 
#  needed because we need the expect function and using python we can 
#  avoid potential password leaks when other users see the output of ps.
#  
########################################################################

import sys
import pexpect

# Read variables of first and second given argument
user = str(sys.argv[1])
passwordfile = str(sys.argv[2])

# Read content of passwordfile and put as variable "password"
with open (passwordfile, "r") as myfile:
    password=myfile.read().replace('\n', '')

# Define function
def _vchangepw(user, password):
    changepw = pexpect.spawn(
        command='vpasswd',  # actual shell command which should be started
        args=[user]   # necessary argument
    )

    changepw.expect('password:')
    changepw.sendline(password)

    changepw.expect('verification:')
    changepw.sendline(password)

    changepw.expect(pexpect.EOF)
    changepw.close()
    
    # Error handling
    if changepw.exitstatus != 0:
        last_line = filter(None, changepw.before.split('\r\n'))[-1]
        problem = last_line.split(':')[-1]
        print "ERROR! Code: " + str(changepw.exitstatus)
        print "Last error: " + str(problem)
    else:
        print "SUCCESS!"
        print "The password of user " + str(user) + " has been changed to: " + str(password)

# Start function
_vchangepw(user, password)

